[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.DrawFrameControl

Draws a window frame control, of the specified type and style.

## Declaration

Source position: winapih.inc line 82

`public function TWidgetSet.DrawFrameControl(`
`DC: HDC;`
`const Rect: TRect;`
`uType: Cardinal;`
`uState: Cardinal`
`):Boolean; virtual;`

## Arguments

`DC` |  | The window frame device context.
`uType` |  | The control type, e.g. DFC_CAPTION.
`uState` |  | The control state, e.g. DFCS_CAPTIONCLOSE (close button).

## Function result

False on failure.

## Description

A window frame includes these components (uType):

- title bar (DFC_CAPTION)
- menu bar (DFC_MENU)
- popup menus (DFC_POPUPMENU)
- scrollbars (DFC_SCROLL)

Window managers do not normally allow the user to paint the components for a window frame, and do not supply a DC for that purpose.

The available features depend on the window manager for the platform, and the capabilities for the widgetset.